This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 995687 - [abrt] gnucash-2.4.13-1.fc19: create_moveresize_window: Process /usr/bin/gnucash was killed by signal 6 (SIGABRT)
[abrt] gnucash-2.4.13-1.fc19: create_moveresize_window: Process /usr/bin/gnuc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
abrt_hash:48b8fb8cbc8f116e26ace5b10f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 00:31 EDT by Rick Rankin
Modified: 2015-01-08 21:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-08 21:43:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.01 KB, text/plain)
2013-08-10 00:31 EDT, Rick Rankin
no flags Details
File: cgroup (141 bytes, text/plain)
2013-08-10 00:31 EDT, Rick Rankin
no flags Details
File: core_backtrace (15.08 KB, text/plain)
2013-08-10 00:31 EDT, Rick Rankin
no flags Details
File: dso_list (19.33 KB, text/plain)
2013-08-10 00:31 EDT, Rick Rankin
no flags Details
File: environ (1.32 KB, text/plain)
2013-08-10 00:31 EDT, Rick Rankin
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-10 00:31 EDT, Rick Rankin
no flags Details
File: maps (97.22 KB, text/plain)
2013-08-10 00:31 EDT, Rick Rankin
no flags Details
File: open_fds (1.25 KB, text/plain)
2013-08-10 00:31 EDT, Rick Rankin
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2013-08-10 00:31 EDT, Rick Rankin
no flags Details

  None (edit)
Description Rick Rankin 2013-08-10 00:31:30 EDT
Description of problem:
My wife was using GNUCash remotely using the X server on her Mac when it crashed. I don't believe she was actually doing anything with it (GNUCash) at the time. I think she had another window active and when she went to switch back to GNUCash, the window was gone.

Version-Release number of selected component:
gnucash-2.4.13-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        gnucash
crash_function: create_moveresize_window
executable:     /usr/bin/gnucash
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1001
var_log_messages: Aug  9 17:14:11 rick-pc abrt[9317]: Saved core dump of pid 9089 (/usr/bin/gnucash) to /var/tmp/abrt/ccpp-2013-08-09-17:14:09-9089 (231178240 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 create_moveresize_window at gdkwindow-x11.c:5216
 #5 emulate_move_drag at gdkwindow-x11.c:5376
 #6 gdk_window_begin_move_drag at gdkwindow-x11.c:5446
 #7 gtk_window_begin_move_drag at gtkwindow.c:7441
 #8 gtk_toolbar_button_press at gtktoolbar.c:2729
 #9 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #14 gtk_widget_event_internal at gtkwidget.c:5017
 #15 gtk_widget_event at gtkwidget.c:4814
 #16 gtk_propagate_event at gtkmain.c:2490
 #17 gtk_main_do_event at gtkmain.c:1685
Comment 1 Rick Rankin 2013-08-10 00:31:35 EDT
Created attachment 785065 [details]
File: backtrace
Comment 2 Rick Rankin 2013-08-10 00:31:38 EDT
Created attachment 785066 [details]
File: cgroup
Comment 3 Rick Rankin 2013-08-10 00:31:40 EDT
Created attachment 785067 [details]
File: core_backtrace
Comment 4 Rick Rankin 2013-08-10 00:31:43 EDT
Created attachment 785068 [details]
File: dso_list
Comment 5 Rick Rankin 2013-08-10 00:31:46 EDT
Created attachment 785069 [details]
File: environ
Comment 6 Rick Rankin 2013-08-10 00:31:48 EDT
Created attachment 785070 [details]
File: limits
Comment 7 Rick Rankin 2013-08-10 00:31:51 EDT
Created attachment 785071 [details]
File: maps
Comment 8 Rick Rankin 2013-08-10 00:31:53 EDT
Created attachment 785072 [details]
File: open_fds
Comment 9 Rick Rankin 2013-08-10 00:31:56 EDT
Created attachment 785073 [details]
File: proc_pid_status
Comment 10 Fedora Admin XMLRPC Client 2014-03-05 11:46:38 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Bill Nottingham 2015-01-08 21:43:08 EST
Apologies for the inability to address this bug as filed.

Currently, Fedora 19 is EOL, and Fedora 20 and later ship an entirely new major version of GnuCash which includes many changes. If this bug persists in Fedora 20 and later with GnuCash 2.6.x, please reopen this bug against that version.

Again, apologies for the inability to address this bug as filed. Closing as WONTFIX for Fedora 19/gnucash-2.4.

Note You need to log in before you can comment on or make changes to this bug.